Sanity/smoke-test: autowaive hugepages issue - also remove it from sysctl output
This commit is contained in:
parent
0b1e4597e3
commit
22e1844833
2 changed files with 12 additions and 3 deletions
|
|
@ -1,8 +1,15 @@
|
|||
diff --git a/tests/probes/sysctl/test_sysctl_probe_all.sh b/tests/probes/sysctl/test_sysctl_probe_all.sh
|
||||
index 732d22ec1..119e92c33 100755
|
||||
index bc9513347..2f17adc8b 100755
|
||||
--- a/tests/probes/sysctl/test_sysctl_probe_all.sh
|
||||
+++ b/tests/probes/sysctl/test_sysctl_probe_all.sh
|
||||
@@ -69,6 +69,7 @@ diff "$sysctlNames" "$ourNames"
|
||||
@@ -73,10 +73,14 @@ if [ "$procps_ver" != "$lowest_ver" ]; then
|
||||
sed -i '/.*vm.stat_refresh/d' "$sysctlNames"
|
||||
fi
|
||||
|
||||
+if ! grep -q "hugepages" "$ourNames"; then
|
||||
+ sed -i "/^.*hugepages.*$/d" "$sysctlNames"
|
||||
+fi
|
||||
diff "$sysctlNames" "$ourNames"
|
||||
|
||||
# remove oscap error message related to permissions from stderr
|
||||
sed -i -E "/^E: oscap: +Can't read sysctl value from /d" "$stderr"
|
||||
|
|
|
|||
|
|
@ -81,8 +81,10 @@ rlJournalStart
|
|||
CleanupRegister "rlRun 'rm -rf ${TOPDIR}/SOURCES/*'"
|
||||
|
||||
rlLogInfo "Waive the known issue with hugepages on ppc64/ppc64le"
|
||||
rlLogInfo "platforms which won't be fixed:"
|
||||
rlLogInfo "platforms which won't be fixed on RHEL7:"
|
||||
rlLogInfo "https://bugzilla.redhat.com/show_bug.cgi?id=1607382"
|
||||
rlLogInfo "and is a known issue on RHEL >= 8:"
|
||||
rlLogInfo "https://bugzilla.redhat.com/show_bug.cgi?id=1642995"
|
||||
TEST_CWD=$(pwd)
|
||||
TREE_CWD=$(readlink -f ${TOPDIR}/BUILD/${PACKAGE}*)
|
||||
if rlIsRHEL 7; then
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue